﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;

namespace wpf_ChartView_714183
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var hAxis = (LinearAxis)this.chart1.HorizontalAxis;
            var vAxis = (LinearAxis)this.chart1.VerticalAxis;

            double xValue = 5;
            double yValue = 40;

            double relativeX = xValue / (hAxis.ActualRange.Maximum - hAxis.ActualRange.Minimum);
            double relativeY = yValue / (vAxis.ActualRange.Maximum - vAxis.ActualRange.Minimum);

            double posX = this.chart1.PlotAreaClip.X + (relativeX * this.chart1.PlotAreaClip.Width);
            double posY = this.chart1.PlotAreaClip.Y + (relativeY * this.chart1.PlotAreaClip.Height);

            Ellipse el = new Ellipse { Width = 7, Height = 7, Fill = new SolidColorBrush(Colors.Gray) };
            Canvas.SetLeft(el, posX);
            Canvas.SetTop(el, posY);

            this.canvas1.Children.Add(el);
        }
    }
}
